Update a variant
Update an existing variant's details.
Authorization
Public key Secret key In: header
In: header
Path Parameters
Unique identifier (UUID) of the product.
uuidUnique identifier (UUID) of the product variant.
uuidRequest Body
application/json
PATCH /v0/products/:productId/variants/:variantId/update Request body
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v0/products/550e8400-e29b-41d4-a716-446655440000/variants/550e8400-e29b-41d4-a716-446655440000/update" \ -H "Content-Type: application/json" \ -d '{}'{ "status": "success", "data": { "variant": { "object": "variant", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "internalId": null, "name": "", "description": "", "order": null } }}Add a variant to a product POST
Add a new variant (configuration option) to an existing product. Variants allow the same product to have different configurations, such as different durations, tiers, or sizes. Each variant can have its own offers.
Archive a variant PATCH
Archive (soft delete) a variant by its ID. Associated offers are also affected. This action is reversible.